diff -aruN --binary 15/libraries/joomla/filter/filterinput.php 16/libraries/joomla/filter/filterinput.php
--- 15/libraries/joomla/filter/filterinput.php	2009-05-29 13:54:22.000000000 +0200
+++ 16/libraries/joomla/filter/filterinput.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: filterinput.php 11324 2008-12-05 19:06:24Z kdevine $
+ * @version		$Id: filterinput.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla.Framework
  * @subpackage	Filter
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/libraries/joomla/filter/filteroutput.php 16/libraries/joomla/filter/filteroutput.php
--- 15/libraries/joomla/filter/filteroutput.php	2009-11-04 18:51:20.000000000 +0100
+++ 16/libraries/joomla/filter/filteroutput.php	2010-04-23 13:40:18.000000000 +0200
@@ -3,7 +3,7 @@
  * @version		$Id:output.php 6961 2007-03-15 16:06:53Z tcp $
  * @package		Joomla.Framework
  * @subpackage	Filter
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/libraries/joomla/html/editor.php 16/libraries/joomla/html/editor.php
--- 15/libraries/joomla/html/editor.php	2009-11-04 18:51:20.000000000 +0100
+++ 16/libraries/joomla/html/editor.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: editor.php 13376 2009-10-29 01:44:22Z ian $
+ * @version		$Id: editor.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla.Framework
  * @subpackage	HTML
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/html/html/behavior.php 16/libraries/joomla/html/html/behavior.php
--- 15/libraries/joomla/html/html/behavior.php	2009-11-04 18:51:20.000000000 +0100
+++ 16/libraries/joomla/html/html/behavior.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: behavior.php 13341 2009-10-27 03:03:54Z ian $
+* @version		$Id: behavior.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	HTML
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/html/html/content.php 16/libraries/joomla/html/html/content.php
--- 15/libraries/joomla/html/html/content.php	2009-07-23 03:25:36.000000000 +0200
+++ 16/libraries/joomla/html/html/content.php	2010-04-23 13:40:18.000000000 +0200
@@ -3,7 +3,7 @@
 * @version		$Id:  $
 * @package		Joomla.Framework
 * @subpackage	HTML
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/html/html/email.php 16/libraries/joomla/html/html/email.php
--- 15/libraries/joomla/html/html/email.php	2009-11-04 18:51:20.000000000 +0100
+++ 16/libraries/joomla/html/html/email.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: email.php 13341 2009-10-27 03:03:54Z ian $
+* @version		$Id: email.php 14998 2010-02-22 23:32:02Z ian $
 * @package		Joomla.Framework
 * @subpackage	HTML
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
@@ -73,7 +73,7 @@
 			$replacement 	.= "\n document.write( addy". $rand ." );";
 		}
 		$replacement 	.= "\n //-->";
-		$replacement 	.= "\n </script> ";
+		$replacement 	.= "\n </script>";
 
 		// XHTML compliance `No Javascript` text handling
 		$replacement 	.= "<script language='JavaScript' type='text/javascript'>";
diff -aruN --binary 15/libraries/joomla/html/html/form.php 16/libraries/joomla/html/html/form.php
--- 15/libraries/joomla/html/html/form.php	2009-11-04 18:51:20.000000000 +0100
+++ 16/libraries/joomla/html/html/form.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: form.php 13341 2009-10-27 03:03:54Z ian $
+ * @version		$Id: form.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla.Framework
  * @subpackage	HTML
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/html/html/grid.php 16/libraries/joomla/html/html/grid.php
--- 15/libraries/joomla/html/html/grid.php	2009-11-04 18:51:20.000000000 +0100
+++ 16/libraries/joomla/html/html/grid.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: grid.php 13341 2009-10-27 03:03:54Z ian $
+* @version		$Id: grid.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	HTML
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/html/html/image.php 16/libraries/joomla/html/html/image.php
--- 15/libraries/joomla/html/html/image.php	2009-05-29 13:54:28.000000000 +0200
+++ 16/libraries/joomla/html/html/image.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: image.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: image.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	HTML
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/html/html/list.php 16/libraries/joomla/html/html/list.php
--- 15/libraries/joomla/html/html/list.php	2009-11-04 18:51:20.000000000 +0100
+++ 16/libraries/joomla/html/html/list.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: list.php 12694 2009-09-11 21:03:02Z ian $
+* @version		$Id: list.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage		HTML
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/html/html/menu.php 16/libraries/joomla/html/html/menu.php
--- 15/libraries/joomla/html/html/menu.php	2009-05-29 13:54:28.000000000 +0200
+++ 16/libraries/joomla/html/html/menu.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: menu.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: menu.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage		HTML
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/html/html/select.php 16/libraries/joomla/html/html/select.php
--- 15/libraries/joomla/html/html/select.php	2009-11-04 18:51:20.000000000 +0100
+++ 16/libraries/joomla/html/html/select.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: select.php 13341 2009-10-27 03:03:54Z ian $
+* @version		$Id: select.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	HTML
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/html/html.php 16/libraries/joomla/html/html.php
--- 15/libraries/joomla/html/html.php	2009-11-04 18:51:20.000000000 +0100
+++ 16/libraries/joomla/html/html.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: html.php 13341 2009-10-27 03:03:54Z ian $
+ * @version		$Id: html.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla.Framework
  * @subpackage	HTML
- * @copyright	Copyright (C) 2005 - 2007 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/html/pagination.php 16/libraries/joomla/html/pagination.php
--- 15/libraries/joomla/html/pagination.php	2009-11-04 18:51:20.000000000 +0100
+++ 16/libraries/joomla/html/pagination.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: pagination.php 13242 2009-10-20 03:54:55Z ian $
+ * @version		$Id: pagination.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla.Framework
  * @subpackage	HTML
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/html/pane.php 16/libraries/joomla/html/pane.php
--- 15/libraries/joomla/html/pane.php	2009-05-29 13:54:28.000000000 +0200
+++ 16/libraries/joomla/html/pane.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: pane.php 10707 2008-08-21 09:52:47Z eddieajau $
+ * @version		$Id: pane.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla.Framework
  * @subpackage	HTML
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/html/parameter/element/calendar.php 16/libraries/joomla/html/parameter/element/calendar.php
--- 15/libraries/joomla/html/parameter/element/calendar.php	2009-05-29 13:54:26.000000000 +0200
+++ 16/libraries/joomla/html/parameter/element/calendar.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: calendar.php 10707 2008-08-21 09:52:47Z eddieajau $
+* @version		$Id: calendar.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Parameter
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/html/parameter/element/category.php 16/libraries/joomla/html/parameter/element/category.php
--- 15/libraries/joomla/html/parameter/element/category.php	2009-05-29 13:54:26.000000000 +0200
+++ 16/libraries/joomla/html/parameter/element/category.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: category.php 10707 2008-08-21 09:52:47Z eddieajau $
+* @version		$Id: category.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Parameter
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/html/parameter/element/editors.php 16/libraries/joomla/html/parameter/element/editors.php
--- 15/libraries/joomla/html/parameter/element/editors.php	2009-05-29 13:54:26.000000000 +0200
+++ 16/libraries/joomla/html/parameter/element/editors.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: editors.php 10707 2008-08-21 09:52:47Z eddieajau $
+* @version		$Id: editors.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Parameter
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/html/parameter/element/filelist.php 16/libraries/joomla/html/parameter/element/filelist.php
--- 15/libraries/joomla/html/parameter/element/filelist.php	2009-05-29 13:54:26.000000000 +0200
+++ 16/libraries/joomla/html/parameter/element/filelist.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: filelist.php 11670 2009-03-08 20:37:02Z willebil $
+* @version		$Id: filelist.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Parameter
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/html/parameter/element/folderlist.php 16/libraries/joomla/html/parameter/element/folderlist.php
--- 15/libraries/joomla/html/parameter/element/folderlist.php	2009-05-29 13:54:26.000000000 +0200
+++ 16/libraries/joomla/html/parameter/element/folderlist.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: folderlist.php 11670 2009-03-08 20:37:02Z willebil $
+* @version		$Id: folderlist.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Parameter
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/html/parameter/element/helpsites.php 16/libraries/joomla/html/parameter/element/helpsites.php
--- 15/libraries/joomla/html/parameter/element/helpsites.php	2009-05-29 13:54:26.000000000 +0200
+++ 16/libraries/joomla/html/parameter/element/helpsites.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: helpsites.php 10707 2008-08-21 09:52:47Z eddieajau $
+* @version		$Id: helpsites.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Parameter
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/html/parameter/element/hidden.php 16/libraries/joomla/html/parameter/element/hidden.php
--- 15/libraries/joomla/html/parameter/element/hidden.php	2009-05-29 13:54:26.000000000 +0200
+++ 16/libraries/joomla/html/parameter/element/hidden.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: hidden.php 10707 2008-08-21 09:52:47Z eddieajau $
+* @version		$Id: hidden.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Parameter
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/html/parameter/element/imagelist.php 16/libraries/joomla/html/parameter/element/imagelist.php
--- 15/libraries/joomla/html/parameter/element/imagelist.php	2009-05-29 13:54:28.000000000 +0200
+++ 16/libraries/joomla/html/parameter/element/imagelist.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: imagelist.php 10707 2008-08-21 09:52:47Z eddieajau $
+* @version		$Id: imagelist.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Parameter
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/html/parameter/element/languages.php 16/libraries/joomla/html/parameter/element/languages.php
--- 15/libraries/joomla/html/parameter/element/languages.php	2009-05-29 13:54:26.000000000 +0200
+++ 16/libraries/joomla/html/parameter/element/languages.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: languages.php 10707 2008-08-21 09:52:47Z eddieajau $
+* @version		$Id: languages.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Parameter
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/html/parameter/element/list.php 16/libraries/joomla/html/parameter/element/list.php
--- 15/libraries/joomla/html/parameter/element/list.php	2009-05-29 13:54:26.000000000 +0200
+++ 16/libraries/joomla/html/parameter/element/list.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: list.php 10707 2008-08-21 09:52:47Z eddieajau $
+* @version		$Id: list.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Parameter
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/html/parameter/element/menuitem.php 16/libraries/joomla/html/parameter/element/menuitem.php
--- 15/libraries/joomla/html/parameter/element/menuitem.php	2009-05-29 13:54:28.000000000 +0200
+++ 16/libraries/joomla/html/parameter/element/menuitem.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: menuitem.php 11324 2008-12-05 19:06:24Z kdevine $
+* @version		$Id: menuitem.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Parameter
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/html/parameter/element/menu.php 16/libraries/joomla/html/parameter/element/menu.php
--- 15/libraries/joomla/html/parameter/element/menu.php	2009-05-29 13:54:26.000000000 +0200
+++ 16/libraries/joomla/html/parameter/element/menu.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: menu.php 10707 2008-08-21 09:52:47Z eddieajau $
+* @version		$Id: menu.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Parameter
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/html/parameter/element/password.php 16/libraries/joomla/html/parameter/element/password.php
--- 15/libraries/joomla/html/parameter/element/password.php	2009-05-29 13:54:26.000000000 +0200
+++ 16/libraries/joomla/html/parameter/element/password.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: password.php 10707 2008-08-21 09:52:47Z eddieajau $
+* @version		$Id: password.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Parameter
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/html/parameter/element/radio.php 16/libraries/joomla/html/parameter/element/radio.php
--- 15/libraries/joomla/html/parameter/element/radio.php	2009-05-29 13:54:26.000000000 +0200
+++ 16/libraries/joomla/html/parameter/element/radio.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: radio.php 10707 2008-08-21 09:52:47Z eddieajau $
+* @version		$Id: radio.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Parameter
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/html/parameter/element/section.php 16/libraries/joomla/html/parameter/element/section.php
--- 15/libraries/joomla/html/parameter/element/section.php	2009-05-29 13:54:26.000000000 +0200
+++ 16/libraries/joomla/html/parameter/element/section.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: section.php 10707 2008-08-21 09:52:47Z eddieajau $
+* @version		$Id: section.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Parameter
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/html/parameter/element/spacer.php 16/libraries/joomla/html/parameter/element/spacer.php
--- 15/libraries/joomla/html/parameter/element/spacer.php	2009-05-29 13:54:26.000000000 +0200
+++ 16/libraries/joomla/html/parameter/element/spacer.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: spacer.php 11371 2008-12-30 01:31:50Z ian $
+* @version		$Id: spacer.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Parameter
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/html/parameter/element/sql.php 16/libraries/joomla/html/parameter/element/sql.php
--- 15/libraries/joomla/html/parameter/element/sql.php	2009-05-29 13:54:26.000000000 +0200
+++ 16/libraries/joomla/html/parameter/element/sql.php	2010-04-23 13:40:18.000000000 +0200
@@ -3,7 +3,7 @@
 * @version		$Id:sql.php 6961 2007-03-15 16:06:53Z tcp $
 * @package		Joomla.Framework
 * @subpackage	Parameter
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/html/parameter/element/textarea.php 16/libraries/joomla/html/parameter/element/textarea.php
--- 15/libraries/joomla/html/parameter/element/textarea.php	2009-05-29 13:54:28.000000000 +0200
+++ 16/libraries/joomla/html/parameter/element/textarea.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: textarea.php 10707 2008-08-21 09:52:47Z eddieajau $
+* @version		$Id: textarea.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Parameter
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/html/parameter/element/text.php 16/libraries/joomla/html/parameter/element/text.php
--- 15/libraries/joomla/html/parameter/element/text.php	2009-05-29 13:54:28.000000000 +0200
+++ 16/libraries/joomla/html/parameter/element/text.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: text.php 10707 2008-08-21 09:52:47Z eddieajau $
+* @version		$Id: text.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Parameter
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/html/parameter/element/timezones.php 16/libraries/joomla/html/parameter/element/timezones.php
--- 15/libraries/joomla/html/parameter/element/timezones.php	2009-11-04 18:51:20.000000000 +0100
+++ 16/libraries/joomla/html/parameter/element/timezones.php	2010-04-23 13:40:18.000000000 +0200
@@ -3,7 +3,7 @@
 * @version		$Id:timezones.php 6961 2007-03-15 16:06:53Z tcp $
 * @package		Joomla.Framework
 * @subpackage	Parameter
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
@@ -68,7 +68,7 @@
 			JHTML::_('select.option', 5.5, JText::_('(UTC +05:30) Bombay, Calcutta, Madras, New Delhi, Colombo')),
 			JHTML::_('select.option', 5.75, JText::_('(UTC +05:45) Kathmandu')),
 			JHTML::_('select.option', 6, JText::_('(UTC +06:00) Almaty, Dhaka')),
-			JHTML::_('select.option', 6.30, JText::_('(UTC +06:30) Yagoon')),
+			JHTML::_('select.option', 6.5, JText::_('(UTC +06:30) Yagoon')),
 			JHTML::_('select.option', 7, JText::_('(UTC +07:00) Bangkok, Hanoi, Jakarta')),
 			JHTML::_('select.option', 8, JText::_('(UTC +08:00) Beijing, Perth, Singapore, Hong Kong')),
 			JHTML::_('select.option', 8.75, JText::_('(UTC +08:00) Ulaanbaatar, Western Australia')),
@@ -77,7 +77,7 @@
 			JHTML::_('select.option', 10, JText::_('(UTC +10:00) Eastern Australia, Guam, Vladivostok')),
 			JHTML::_('select.option', 10.5, JText::_('(UTC +10:30) Lord Howe Island (Australia)')),
 			JHTML::_('select.option', 11, JText::_('(UTC +11:00) Magadan, Solomon Islands, New Caledonia')),
-			JHTML::_('select.option', 11.30, JText::_('(UTC +11:30) Norfolk Island')),
+			JHTML::_('select.option', 11.5, JText::_('(UTC +11:30) Norfolk Island')),
 			JHTML::_('select.option', 12, JText::_('(UTC +12:00) Auckland, Wellington, Fiji, Kamchatka')),
 			JHTML::_('select.option', 12.75, JText::_('(UTC +12:45) Chatham Island')),
 			JHTML::_('select.option', 13, JText::_('(UTC +13:00) Tonga')),
